Fixing Keywords Ignore Duplicate Tracker Actions

2015-10-29 15:13 - Declan Lynch

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.3

Description

When you have duplicate tracker entries setup in the Fixing Keywords the duplicates are ignored.

For example if the following two Fixing Keywords are configured :

Feature --> Fixes, Closes --> Closed --> 100%

Feature --> Testing --> Testing --> 90%

When a commit status comes in with the keyword 'Fixes' then the associated issue is marked as closed and the done% is set to

100%.

If a commit status comes in with the keyword "Testing' then nothing is applied to the associated issue.

Trigger Keywords should allow multiple configurations per tracker to allow the committer more control over the flow of the issue.  I

would also suggest revisiting Feature #11698 to look at ability to set other fields ( assignee ) via the Trigger Keywords. It might also

be better to move the Trigger Keywords UI over to the tracker configuration ( leaving the Referencing Keywords in the current admin

UI location ).

Associated revisions

Revision 14855 - 2015-11-08 22:41 - Jean-Philippe Lang

Adds a test for #21100.

History

#1 - 2015-11-08 22:44 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Works for me with latest trunk. Test added in r14855. The same test passes with 2.5-stable as well.
